Subject: bug#64204: C/C++ local variables not syntax highlighted if they start with $

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 07:50:47 +0300

> Cc: [email-masked], [email-masked]
> Date: Wed, 21 Jun 2023 21:06:37 +0000
> From: Alan Mackenzie <[email-masked]>
> 
> Apologies, the patch I sent earlier was defective, not applying cleanly
> to the Emacs master branch.  I also should have sent the patch as an
> attachment.
> 
> I'm now sending the patch as attachment.  It should apply cleanly to the
> master branch or emacs-29.

Thanks, but shouldn't this be optional behavior, which users should be
able to control?  Standard C disallows '$' in identifiers AFAIK, and
some users might wish to follow the Standard.